Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/MSSQL

Affected QGIS version:2.14.12 Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 24157
Description

Hallo,

MSSQL Layers cannot be filtered at least in QGIS version 2.14. To reproduce: | added a point table (geometry data type, SQL Server
2014). Table has a primary key column (bigint, Not NULL). It was added properly.

When | apply a filter to the layer an error message returned: "Ein Fehler trat beim Ausfiihren der Abfrage auf. Der Datenanbieter meldet:”
(~"An error occurred while running the query. The data provider reports"). There are no error detail shown. See attached screenshot.

History

#1 - 2017-03-09 09:59 AM - Andre Jesus

Tested with 2.14.12 and 2.18.4 using MSSQL 2008 R2 and MSSQL 2016

The filter worked properly.

#2 - 2017-03-09 11:57 AM - Giovanni Manghi
- Category set to Data Provider/MSSQL
- Status changed from Open to Feedback

The filter worked properly.

do you remember when? 2.8?

#3 - 2017-03-09 12:15 PM - Thomas Schneider

I am using QGIS 2.14.12 and SQL Server 2014.

#4 - 2017-03-09 12:24 PM - Giovanni Manghi

sorry for the question: is there any way | can get a "test" copy/installer of mssql server with spatial support (I know nothing about it)?

#5 - 2017-03-09 01:38 PM - Thomas Schneider
You need to install SQL Server Express with Tools. A link to the setup in Microsoft download center:

https://www.microsoft.com/en-us/download/details.aspx?id=42299

| recommend to download the version "Express with Tools" that includes SQL Server Mangement Studio. After setup, start Management Studio, connect to
the server (please take a note of your server name, you need it later) and create a new database.

If it will help, | can post some SQL to create some test tables in the Database. However, a simple solution is to use ogr2ogr to connect to the server and
import a shape file. Here a command (broken up into several lines, please concatenate) to import a shape file (epsg:4326) as geometry table to SQL
Server

ogr2ogr

-f "MSSQLSpatial" "MSSQL:server=[server name];database=[database name];trusted_connection=yes"

"Path/to/Shape File/Raster/myshapefile.shp"

-s_srs "EPSG:4326"

-t_srs "EPSG:4326"

-overwrite

-lco "GEOM_TYPE=geometry"

-lco "GEOM_NAME=geo04326"

Replace [server name] with your server name eg. MYCOMPUTER/SQLEXPRESS, that you have noted when you connect with Management Studio
before, and [database name] with the name of the database you have created before.

Hope that help to create a test environment.

#6 - 2017-03-10 06:46 AM - Andre Jesus

Giovanni Manghi wrote:

do you remember when? 2.8?

| didn't understand.

@Thomas Schneider

How is your usage with MSSQL layers?

| get constant Force Close.

#7 - 2017-03-10 07:04 AM - Giovanni Manghi

Andre Jesus wrote:

Giovanni Manghi wrote:

do you remember when? 2.8?

I didn't understand.

forget, | misunderstand your statement.

#8 - 2017-03-10 09:26 AM - Thomas Schneider
https://www.microsoft.com/en-us/download/details.aspx?id=42299

@Thomas Schneider
How is your usage with MSSQL layers?
| get constant Force Close.

Sorry, | didn't understand your question - can you be so kind and give me further details?

#9 - 2017-03-10 09:43 AM - Giovanni Manghi

Thomas Schneider wrote:

@Thomas Schneider

How is your usage with MSSQL layers?

| get constant Force Close.

Sorry, | didn't understand your question - can you be so kind and give me further details?

there is another ticket where is reported that working with msql layers/projects leads to several crashes. We are looking for confirmations from other mssql

users.

#10 - 2017-04-29 11:05 AM - Giovanni Manghi
- Resolution set to worksforme
- Status changed from Feedback to Closed

Got finally a copy of MSSQL server and tried tthis. Used ogr2ogr to load a bunch of OSM data, no problems with filtering using QGIS 2.18.7, which anyway
is what should be tested/used now as it will be soon the next LTR.

Files

QGIS_mssq|_filter_issue.jpg 147 KB 2017-02-28 Thomas Schneider

2025-05-19 3/3



